Rails Console basics

Hello,

I just downloaded RubyMine today for Windows and I'm trying to get a basic project setup. After creating a new project I get this message: "Rails requires RubyGems >= 1.3.2 (you have 1.3.1). Please `gem update --system` and try again." from the generator script, rake --task, and rake --prereqs. When I try to open up the Rails Console from the Tools menu I'm told that i need to update RubyGems and then I'm not allowed to do anything within the console. Viewing other users postings, they were able to view command line prompts within the console, while I'm not able to view any command line prompts at all. Could someone please point out what I'm overlooking? -thanks



Attachment(s):
RubyMine.JPG
2 comments

Have you tried Start -> Run... -> "cmd" -> "gem update --system"?

0

Hi Ernie,

Gleb is right, it is a problem in your gem environment configuration, please try updating rubygems.

Regards,
Oleg

0

Please sign in to leave a comment.